Subject: [bug#40556] [PATCH] gnu: dovecot: Add libunwind input.

From: Julien Lepiller <[email-masked]>
Date: Sat, 11 Apr 2020 13:56:42 -0400

Le 11 avril 2020 12:53:29 GMT-04:00, Pierre Langlois <[email-masked]> a écrit :
>
>Tobias Geerinckx-Rice writes:
>
>> Pierre,
>>
>> Pierre Langlois 写道：
>>> I wonder what's wrong with backtrace_symbols() in guix, I'm not sure
>>> how
>>> to investigate that. For now though, what do you think of using
>>> libunwind?
>>
>> OK, but it should only be included on platforms that require it:
>
>Oh sure thing!
>
>>
>>  ;; Untested…
>>  (inputs
>>   `(…
>>     ,@(match (%current-system)
>>         ((or "aarch64-linux" "armhf-linux" …)
>>          `(("libunwind" ,libunwind)))
>>         (_ `()))
>>     …))
>>
>> Could you test that?
>
>OK, the following patch works for me (tested building for armhf and
>aarch64 on a rockpro64). I've also added a "FIXME" comment to mention
>the issue so we can remove/keep it when we have a good understanding of
>what's going on.

Great, thanks for working on it, I had totally forgotten about it, because I fixed it in my systems by not running tests. There's also a bug report I sent to bug-guix I think. Adding libunwind should work. I remember testing it once, but it was just too long and I forgot about it ^^"